Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.impl.grammar.toolbox
Class ReflexionToolBox

    java.lang.Object
      org.kemet.impl.grammar.toolbox.ReflexionToolBox

    public class ReflexionToolBox

extends java.lang.Object

Since:
  0.1
Author:
  fabricemaupin

  Toolbox for reflexion.

Constructor Summary
`ReflexionToolBox()`

Method Summary
`static java.util.ArrayList` | `execGenericMethod(java.lang.Class cl, java.lang.String name, java.util.Vector param)` execute a method with ArrayList type returned value.
`static java.lang.String` | `execMethod(java.lang.Class cl, java.lang.String name, java.util.Vector param)` execute a method with string type returned value.
`static boolean` | `searchMethod(java.lang.Class cl, java.lang.String methodName, java.lang.String returnType)` verify if method exist ?

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReflexionToolBox

    public ReflexionToolBox()

Method Detail

### execMethod

    public static java.lang.String execMethod(java.lang.Class cl,
                                              java.lang.String name,
                                              java.util.Vector param)
                                       throws KemetAPIException

  execute a method with string type returned value.

  Parameters:
    `cl` - the class
    `name` - name of the method
    `param` - parameters method (type and value)
  Returns:
    returned value method
  Throws:
    `KemetAPIException`
  Since:
    0.1

### execGenericMethod

    public static java.util.ArrayList execGenericMethod(java.lang.Class cl,
                                                        java.lang.String name,
                                                        java.util.Vector param)
                                                 throws KemetAPIException

  execute a method with ArrayList type returned value.

  Parameters:
    `cl` - the class
    `name` - name of the method
    `param` - parameters method (type and value)
  Returns:
    returned value method
  Throws:
    `KemetAPIException`
  Since:
    0.2

### searchMethod

    public static boolean searchMethod(java.lang.Class cl,
                                       java.lang.String methodName,
                                       java.lang.String returnType)

  verify if method exist ?

  Parameters:
    `cl` - associated class
    `methodName` - method to verify
    `returnType` - returnType of method
  Returns:
    true / false
  Since:
    0.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.